Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.inbound
Interface SNAInboundConfiguration.SNAInboundGeneralSettings

Enclosing interface:
  SNAInboundConfiguration

    public static interface SNAInboundConfiguration.SNAInboundGeneralSettings

The configuration object for inbound GeneralSettings section. For more information about each method, see the corresponding online help for the eWay configuration editor GUI.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/12/12 00:11:34 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Method Summary
`java.lang.String` | `getPersistentStorageLocation()` Gets Persistent Storage Location
`java.lang.String` | `getScopeOfState()` Gets Scope Of State
`boolean` | `isConnectionScopeOfState()` Is ScopeOfState "Connection Level"?
`boolean` | `isOtdScopeOfState()` Is ScopeOfState "OTD Level"?
`boolean` | `isResourceAdapterScopeOfState()` Is ScopeOfState "Resource Adapter Level"?
`void` | `setPersistentStorageLocation(java.lang.String dirName)` Sets Persistent Storage Location
`void` | `setScopeOfState(java.lang.String aScope)` Sets Scope Of State
`void` | `validate()` Validates GeneralSettings section

Method Detail

### isResourceAdapterScopeOfState

    boolean isResourceAdapterScopeOfState()

  Is ScopeOfState "Resource Adapter Level"?

  Returns:
    true or false

### isConnectionScopeOfState

    boolean isConnectionScopeOfState()

  Is ScopeOfState "Connection Level"?

  Returns:
    true or false

### isOtdScopeOfState

    boolean isOtdScopeOfState()

  Is ScopeOfState "OTD Level"?

  Returns:
    true or false

### getScopeOfState

    java.lang.String getScopeOfState()

  Gets Scope Of State

  Returns:
    Scope Of State

### setScopeOfState

    void setScopeOfState(java.lang.String aScope)
                         throws SNAApplicationException

  Sets Scope Of State

  Parameters:
    `aScope` - The Scope Of State to set
  Throws:
    `SNAApplicationException` - up on error

### getPersistentStorageLocation

    java.lang.String getPersistentStorageLocation()

  Gets Persistent Storage Location

  Returns:
    Persistent Storage Location

### setPersistentStorageLocation

    void setPersistentStorageLocation(java.lang.String dirName)
                                      throws SNAApplicationException

  Sets Persistent Storage Location

  Parameters:
    `dirName` - The Persistent Storage Location to be set
  Throws:
    `SNAApplicationException` - up on error

### validate

    void validate()
                  throws SNAApplicationException

  Validates GeneralSettings section

  Throws:
    `SNAApplicationException` - up on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.